#NoTrayIcon
#include <GuiConstants.au3>

; ---- Variables & Defaults ----
$AppName = "Language"
$AppVersion = "1.3.3.11"

; ---- INI (from main scribus script) ----
; -- [App]
$DefaultFileName = "Scribus.exe"
$DefaultFileDir = "Scribus/"

; -- [Environment]
$DefaultUserProfile = "Profile/"
$DefaultGSPath = "Scribus/gs/"
$DefaultLanguage = "en"
$DefaultMultipleIstances = "false"
$DefaultTrayIcon = "true"
$DefaultTrayIconPath = "Scribus/scribus.ico"
$DefaultCleanRegistry = "true"
$DefaultModifyPrefs = "true"

; -- Script settings
$ScriptName = "scribus"
$ScriptIni = @ScriptDir & "\" & $ScriptName & ".ini"

; ---- Create ini if it doesn't already exist ----

If Not FileExists ($ScriptIni) Then
 IniWrite($ScriptIni, "App", "FileName", $DefaultFileName)
 IniWrite($ScriptIni, "App", "FileDir", $DefaultFileDir)
 IniWrite($ScriptIni, "Environment", "UserProfile", $DefaultUserProfile)
 IniWrite($ScriptIni, "Environment", "GSPath", $DefaultGSPath)
 IniWrite($ScriptIni, "Environment", "Language", $DefaultLanguage)
 IniWrite($ScriptIni, "Environment", "MultipleIstances", $DefaultMultipleIstances)
 IniWrite($ScriptIni, "Environment", "TrayIcon", $DefaultTrayIcon)
 IniWrite($ScriptIni, "Environment", "TrayIconPath", $DefaultTrayIconPath)
 IniWrite($ScriptIni, "Environment", "ModifyPrefs", $DefaultModifyPrefs)
 IniWrite($ScriptIni, "Windows", "CleanRegistry", $DefaultCleanRegistry)
EndIf

; ---- Get configurations from ini file ----

$FileName = IniRead($ScriptIni, "App", "FileName", $DefaultFileName)
$FileDir = IniRead($ScriptIni, "App", "FileDir", $DefaultFileDir)
$UserProfile = IniRead($ScriptIni, "Environment", "UserProfile", $DefaultUserProfile)
$GSPath = IniRead($ScriptIni, "Environment", "GSPath", $DefaultGSPath)
$Language = IniRead($ScriptIni, "Environment", "Language", $DefaultLanguage)
$MultipleIstances = IniRead($ScriptIni, "Environment", "MultipleIstances", $DefaultMultipleIstances)
$TrayIcon = IniRead($ScriptIni, "Environment", "TrayIcon", $DefaultTrayIcon)
$TrayIconPath = IniRead($ScriptIni, "Environment", "TrayIconPath", $DefaultTrayIconPath)
$ModifyPrefs = IniRead($ScriptIni, "Environment", "ModifyPrefs", $DefaultModifyPrefs)
$CleanRegistry = IniRead($ScriptIni, "Windows", "CleanRegistry", $DefaultCleanRegistry)

; ---- Main Program ----
Opt("GUIOnEventMode", 0)

$gui = GUICreate($AppName, 160, 70)
GUISetIcon ($DefaultTrayIconPath)

$LangCombo = GUICtrlCreateCombo ($Language, 10, 10, 140) ; create first item
;$Combo_ShowBenchmarkProcess = GUICtrlCreateCombo ("Show", 100, 10, 140, -1, $CBS_DROPDOWNLIST) ; create first item
GUICtrlSetData(-1,"en|fr|de|pl|cs", "") ; add other item snd set a new default
	
$ButtonSave = GUICtrlCreateButton("Save", 15, 40, 60, 22)
$ButtonExit = GUICtrlCreateButton("Exit", 95, 40, 50, 22)

GUISetState()
While 1
   $msg = GUIGetMsg()
   Select
		Case $msg = $GUI_EVENT_CLOSE Or $msg = $ButtonExit
			ExitLoop
		Case $msg = $ButtonSave
			IniWrite($ScriptIni, "Environment", "Language", GUICtrlRead($LangCombo))
			ExitLoop
   EndSelect
WEnd

Exit

#cs
Func Settings()
	Opt("GUIOnEventMode", 0)
	$gui_settings = GUICreate("Settings", 250, 100)
	GuiSetIcon($DefaultIconPath, 0)
	GUICtrlCreatePic("lib\images\test.bmp", 0, 0, 250, 100)
	GUICtrlSetState(-1, $GUI_DISABLE)
	
	$OkayButton  = GUICtrlCreateButton("Save", 25, 70, 72, 22)
	GUICtrlSetState(-1, $GUI_FOCUS)
	$CancelButton  = GUICtrlCreateButton("Cancel", 150, 70, 72, 22)
	
	If $ShowBenchmarkProcess = 1 Then
		$ShowBenchmarkProcess_text = "Show"
	ElseIf $ShowBenchmarkProcess = 2 Then
		$ShowBenchmarkProcess_text = "Hide"
	Else
		$ShowBenchmarkProcess_text = "Minimize"
	EndIf
	
	GuiCtrlCreateLabel("Show Benchmark Processes", 10, 10, 100, 100)
	GUICtrlSetBkColor(-1, $GUI_BKCOLOR_TRANSPARENT)
	$Combo_ShowBenchmarkProcess = GUICtrlCreateCombo ("Show", 100, 10, 140, -1, $CBS_DROPDOWNLIST) ; create first item
	GUICtrlSetData(-1,"Minimize|Hide", $ShowBenchmarkProcess_text) ; add other item snd set a new default
	GuiCtrlCreateLabel("Verification Site URL", 10, 40, 90, 100)
	GUICtrlSetBkColor(-1, $GUI_BKCOLOR_TRANSPARENT)
	$Input_VerifierURL = GUICtrlCreateInput ($VerifierURL, 100, 40, 140, 20)
	
	GUISetState()

	While 1
		$msg = GUIGetMsg()
		If $msg = $GUI_EVENT_CLOSE Then
			GUIDelete()
			ExitLoop
		ElseIf $msg = $CancelButton Then
			GUIDelete()
			ExitLoop
		ElseIf $msg = $OkayButton Then
			; Save settings before quitting.
			If GUICtrlRead($Combo_ShowBenchmarkProcess) = "Show" Then
				$ShowBenchmarkProcess = "1"
			ElseIf GUICtrlRead($Combo_ShowBenchmarkProcess) = "Hide" Then
				$ShowBenchmarkProcess = "2"
			ElseIf GUICtrlRead($Combo_ShowBenchmarkProcess) = "Minimize" Then
				$ShowBenchmarkProcess = "0"
			EndIf
			IniWrite($ScriptIni, "App", "ShowProcess", $ShowBenchmarkProcess)
			$VerifierURL = GUICtrlRead($Input_VerifierURL)
			IniWrite($ScriptIni, "App", "VerifierURL", $VerifierURL)
			;$BenchmarkBase64Decode = GUICtrlRead($Checkbox_BenchmarkBase64Decode)
			;IniWrite($ScriptIni, "Benchmark", "Base64Decode", $BenchmarkBase64Decode)
			;$ShowProcessorInfo = GUICtrlRead($Checkbox_ShowProcessorInfo)
			;IniWrite($ScriptIni, "App", "ShowProcessorInfo", $ShowProcessorInfo)
			
			GUIDelete()
			ExitLoop
		EndIf
	WEnd
	Return true
EndFunc
#ce